Get org webhook by ID
curl --request GET \
--url https://api.sandbox.trio.com.br/webhooks/{webhook_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/webhooks/{webhook_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"authentication_method": "url_secret",
"company_id": "019f2433-fb00-c23b-da37-2fe6a4f4f5a6",
"entity_id": "019f2433-fb00-37f3-5a3c-b516763fa0b5",
"event_categories_allowed": [
{
"category": "boleto",
"types": [
"settled",
"created"
]
}
],
"id": "019f2433-fb00-498e-3527-783b51c21536",
"inserted_at": "2026-07-02T19:00:14.208505Z",
"notification_key": "KXe1JxmdHIcRhAsnbaTBvSGNSQli4I798oGMb8abeMBcKzJoUpWkOQ==",
"notification_secret": "some_notification_secret",
"notification_url": "https://mynotificationurl.com/endpoint",
"oauth_client_id": null,
"oauth_client_secret": null,
"oauth_scope": "",
"oauth_url": null,
"org_id": "019f2433-fb00-c2dd-7d0b-395b07e6a93f",
"updated_at": "2026-07-02T19:00:14.208514Z"
}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Webhooks
Get Webhook
Get a webhook by ID
GET
/
webhooks
/
{webhook_id}
Get org webhook by ID
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Webhook ID Unique identifier
Response
Gotten webhook
A org webhook for communication
⌘I

